Zoho crm Logo

获取变量组

目的

要获取变量组的详细信息,请在 API 请求中指定变量组的唯一 ID 或 API 名称,以获取该特定变量组的数据。

端点

  • GET /settings/variable_groups
  • GET /settings/variable_groups/{variable_group_id (or) variable_group_API_name}

请求详情

请求 URL

{api-domain}/crm/{version}/settings/variable_groups
获取特定变量组:
{api-domain}/crm/{version}/settings/variable_groups/{variable_group_id (或) variable_group_API_name}

标题

授权: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

ZohoCRM.settings.variable_groups.{operation_type}

可能的操作类型

全部 - 完全访问变量数据
读取 - 获取变量组数据

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/variable_groups"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
Copiedresponse = invokeurl
[
	url: "https://www.zohoapis.com/crm/v8/settings/variable_groups/40000000047003"
	type: GET
	connection:"crm_oauth_connection"
];
info response;

响应 JSON 

  • display_labelstring

    表示CRM变量组的显示名称。

  • api_namestring

    表示CRM变量组的API名称。

  • namestring

    表示CRM变量组的名称。

  • descriptionstring

    表示CRM变量组的描述(如果有)。

  • idstring

    表示CRM变量组的唯一ID。

可能的错误

  • INVALID_REQUEST_METHODHTTP 400

    HTTP请求方法类型无效
    解决方法:您指定了一个无效的HTTP方法来访问API URL。请指定一个有效的请求方法。请参阅上面的端点部分。

  • AUTHORIZATION_FAILEDHTTP 400

    用户没有足够的权限读取变量组数据
    解决方法:用户没有读取变量组数据的权限。请联系系统管理员。

  • OAUTH_SCOPE_MISMATCHHTTP 401

    未经授权
    解决方案:客户端没有ZohoCRM.settings.variable_groups.READ范围。创建一个具有有效范围的新客户端。请参阅上面的范围部分。

  • NO_PERMISSIONHTTP 403

    没有权限读取记录
    解决方案:用户没有读取变量组数据的权限。请联系系统管理员。

  • INVALID_URL_PATTERNHTTP 404

    请检查尝试访问的URL是否正确
    解决方案: 请求的URL不正确。请指定一个有效的请求URL。请参阅上面的请求URL部分。

  • INTERNAL_ERRORHTTP 500

    内部服务器错误
    解决方法:服务器中出现意外且未处理的异常。请联系支持团队。

示例响应

Copied{
    "variable_groups": [
       {
            "display_label": "General",
            "api_name": "General",
            "name": "General",
            "description": null,
            "id": "40000000039001"
        },
       {
            "display_label": "Group1",
            "api_name": "Group1",
            "name": "Group1",
            "description": null,
            "id": "40000000047001"
        },
       {
            "display_label": "Group2",
            "api_name": "Group2",
            "name": "Group2",
            "description": null,
            "id": "40000000047005"
        },
       {
            "display_label": "Group3",
            "api_name": "Group3",
            "name": "Group3",
            "description": "This describes variable 3",
            "id": "40000000042001"
        },
       {
            "display_label": "Group4",
            "api_name": "Group4",
            "name": "Group4",
            "description": null,
            "id": "40000000042002"
        },
       {
            "display_label": "MyCustsdomGroup",
            "api_name": "MyCustsdomGroup",
            "name": "MyCustsdomGroup",
            "description": null,
            "id": "40000000044003"
        },
       {
            "display_label": "Variable6",
            "api_name": "VariableSix",
            "name": "Variable6",
            "description": "On the sea shore",
            "id": "40000000044001"
        }
    ]
}